/*
 * CodeSource.java
 *
 * Created on December 19, 2002, 3:20 PM
 */

package spirograph;

/** Objects with this interface can provide code for bean shell compilation
 * and loading.
 *
 * <p>Copyright &copy; 2002-2003 Franklin W. Olin College of Engineering.</p>
 *
 * @author Patrick G. Heck
 */
public interface CodeSource {
    
    String getCode();
    
    String getFields();
    
}

/*
 * $Log: CodeSource.java,v $
 * Revision 1.3  2003/01/14 19:43:29  gus
 * added copyright and formatted doc comment
 *
 * Revision 1.2  2002/12/20 21:49:08  gus
 * Connect the new GUI with the old backend.
 *
 * Revision 1.1  2002/12/19 20:59:09  gus
 * An abstracted means of referencing student code
 *
 */