/*
 * RecipieListener.java
 *
 * Created on December 10, 2002, 4:59 PM
 */

package spirograph;

/** 
 * An interface that makes a class eligible for receiveing notifications of
 * state changes of a recipie.
 *
 * <p>Copyright &copy; 2003 Franklin W. Olin College of Engineering.</p>
 *
 * @author Patrick G. Heck, gus.heck@olin.edu
 * @version $Id: RecipieListener.java,v 1.4 2003/01/15 17:39:48 gus Exp $
 */
public interface RecipieListener {
    
    /** 
     * Signals that a recipie has been edited.
     *
     * @param ce A change event identifying the Recipie that has changed.
     */    
    public void recipieUpdated(javax.swing.event.ChangeEvent ce);
    
}

/*
 * $Log: RecipieListener.java,v $
 * Revision 1.4  2003/01/15 17:39:48  gus
 * javadoc tweak
 *
 * Revision 1.3  2003/01/15 17:36:10  gus
 * adding log keywords to files that don't have them
 *
 */